#ifndef _BUILDSPEC_H_
#define _BUILDSPEC_H_

#if defined(WIN32)
	#pragma warning( disable : 4251 )

	//warnings to fix
	#pragma warning( disable : 4273 ) 
	#pragma warning( disable : 4275 ) 
#endif								 

#if defined(WIN32) && defined(LINK_DYNAMIC)
	#ifdef GST_EXPORT_GST_API
		#define GST_API_EXPORT __declspec(dllexport)
	#else
		#define GST_API_EXPORT __declspec(dllimport)
	#endif

	#ifdef EXPORT_CLIENT_GUI
		#define PORT_DLL_CLIENT_GUI __declspec(dllexport)
	#else
		#define PORT_DLL_CLIENT_GUI __declspec(dllimport)
	#endif

	#ifdef EXPORT_WEB
		#define PORT_DLL_WEB __declspec(dllexport)
	#else
		#define PORT_DLL_WEB __declspec(dllimport)
	#endif
#else
	#define GST_API_EXPORT
	#define PORT_DLL_CLIENT_GUI
	#define PORT_DLL_WEB
#endif
#endif // _BUILDSPEC_H_
